Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface RegistryObjectQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterQueryType, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AdhocQueryQueryType, AssociationQueryType, ClassificationNodeQueryType, ClassificationQueryType, ClassificationSchemeQueryType, ExternalIdentifierQueryType, ExternalLinkQueryType, ExtrinsicObjectQueryType, FederationQueryType, NotificationQueryType, OrganizationQueryType, PersonQueryType, RegistryPackageQueryType, RegistryQueryType, ServiceBindingQueryType, ServiceQueryType, SpecificationLinkQueryType, SubscriptionQueryType, UserQueryType

All Known Implementing Classes:
  AdhocQueryQueryTypeImpl, AssociationQueryTypeImpl, ClassificationNodeQueryTypeImpl, ClassificationQueryTypeImpl, ClassificationSchemeQueryTypeImpl, ExternalIdentifierQueryTypeImpl, ExternalLinkQueryTypeImpl, ExtrinsicObjectQueryTypeImpl, FederationQueryTypeImpl, NotificationQueryTypeImpl, OrganizationQueryTypeImpl, PersonQueryTypeImpl, RegistryObjectQueryTypeImpl, RegistryPackageQueryTypeImpl, RegistryQueryTypeImpl, ServiceBindingQueryTypeImpl, ServiceQueryTypeImpl, SpecificationLinkQueryTypeImpl, SubscriptionQueryTypeImpl, UserQueryTypeImpl

    public interface RegistryObjectQueryType

extends FilterQueryType

A representation of the model object 'Registry Object Query Type'.

The following features are supported:

- `Slot Branch`
- `Name Branch`
- `Description Branch`
- `Version Info Filter`
- `Classification Query`
- `External Identifier Query`
- `Object Type Query`
- `Status Query`
- `Source Association Query`
- `Target Association Query`

See Also:
  `QueryPackage.getRegistryObjectQueryType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getClassificationQuery()` Returns the value of the 'Classification Query' containment reference list.
`InternationalStringBranchType` | `getDescriptionBranch()` Returns the value of the 'Description Branch' containment reference.
`org.eclipse.emf.common.util.EList` | `getExternalIdentifierQuery()` Returns the value of the 'External Identifier Query' containment reference list.
`InternationalStringBranchType` | `getNameBranch()` Returns the value of the 'Name Branch' containment reference.
`ClassificationNodeQueryType` | `getObjectTypeQuery()` Returns the value of the 'Object Type Query' containment reference.
`org.eclipse.emf.common.util.EList` | `getSlotBranch()` Returns the value of the 'Slot Branch' containment reference list.
`org.eclipse.emf.common.util.EList` | `getSourceAssociationQuery()` Returns the value of the 'Source Association Query' containment reference list.
`ClassificationNodeQueryType` | `getStatusQuery()` Returns the value of the 'Status Query' containment reference.
`org.eclipse.emf.common.util.EList` | `getTargetAssociationQuery()` Returns the value of the 'Target Association Query' containment reference list.
`FilterType` | `getVersionInfoFilter()` Returns the value of the 'Version Info Filter' containment reference.
`void` | `setDescriptionBranch(InternationalStringBranchType value)` Sets the value of the '`Description Branch`' containment reference.
`void` | `setNameBranch(InternationalStringBranchType value)` Sets the value of the '`Name Branch`' containment reference.
`void` | `setObjectTypeQuery(ClassificationNodeQueryType value)` Sets the value of the '`Object Type Query`' containment reference.
`void` | `setStatusQuery(ClassificationNodeQueryType value)` Sets the value of the '`Status Query`' containment reference.
`void` | `setVersionInfoFilter(FilterType value)` Sets the value of the '`Version Info Filter`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterQueryType
`getPrimaryFilter, setPrimaryFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSlotBranch

    org.eclipse.emf.common.util.EList getSlotBranch()

  Returns the value of the 'Slot Branch' containment reference list. The list contents are of type `SlotBranchType`.

  If the meaning of the 'Slot Branch' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Slot Branch' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_SlotBranch()`

### getNameBranch

    InternationalStringBranchType getNameBranch()

  Returns the value of the 'Name Branch' containment reference.

  If the meaning of the 'Name Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name Branch' containment reference.
  See Also:
    `setNameBranch(InternationalStringBranchType)`, `QueryPackage.getRegistryObjectQueryType_NameBranch()`

### setNameBranch

    void setNameBranch(InternationalStringBranchType value)

  Sets the value of the '`Name Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Name Branch' containment reference.
  See Also:
    `getNameBranch()`

### getDescriptionBranch

    InternationalStringBranchType getDescriptionBranch()

  Returns the value of the 'Description Branch' containment reference.

  If the meaning of the 'Description Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description Branch' containment reference.
  See Also:
    `setDescriptionBranch(InternationalStringBranchType)`, `QueryPackage.getRegistryObjectQueryType_DescriptionBranch()`

### setDescriptionBranch

    void setDescriptionBranch(InternationalStringBranchType value)

  Sets the value of the '`Description Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Description Branch' containment reference.
  See Also:
    `getDescriptionBranch()`

### getVersionInfoFilter

    FilterType getVersionInfoFilter()

  Returns the value of the 'Version Info Filter' containment reference.

  If the meaning of the 'Version Info Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Version Info Filter' containment reference.
  See Also:
    `setVersionInfoFilter(FilterType)`, `QueryPackage.getRegistryObjectQueryType_VersionInfoFilter()`

### setVersionInfoFilter

    void setVersionInfoFilter(FilterType value)

  Sets the value of the '`Version Info Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Version Info Filter' containment reference.
  See Also:
    `getVersionInfoFilter()`

### getClassificationQuery

    org.eclipse.emf.common.util.EList getClassificationQuery()

  Returns the value of the 'Classification Query' containment reference list. The list contents are of type `ClassificationQueryType`.

  If the meaning of the 'Classification Query' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Query' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_ClassificationQuery()`

### getExternalIdentifierQuery

    org.eclipse.emf.common.util.EList getExternalIdentifierQuery()

  Returns the value of the 'External Identifier Query' containment reference list. The list contents are of type `ExternalIdentifierQueryType`.

  If the meaning of the 'External Identifier Query' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Identifier Query' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_ExternalIdentifierQuery()`

### getObjectTypeQuery

    ClassificationNodeQueryType getObjectTypeQuery()

  Returns the value of the 'Object Type Query' containment reference.

  If the meaning of the 'Object Type Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Object Type Query' containment reference.
  See Also:
    `setObjectTypeQuery(ClassificationNodeQueryType)`, `QueryPackage.getRegistryObjectQueryType_ObjectTypeQuery()`

### setObjectTypeQuery

    void setObjectTypeQuery(ClassificationNodeQueryType value)

  Sets the value of the '`Object Type Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Object Type Query' containment reference.
  See Also:
    `getObjectTypeQuery()`

### getStatusQuery

    ClassificationNodeQueryType getStatusQuery()

  Returns the value of the 'Status Query' containment reference.

  If the meaning of the 'Status Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Status Query' containment reference.
  See Also:
    `setStatusQuery(ClassificationNodeQueryType)`, `QueryPackage.getRegistryObjectQueryType_StatusQuery()`

### setStatusQuery

    void setStatusQuery(ClassificationNodeQueryType value)

  Sets the value of the '`Status Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Status Query' containment reference.
  See Also:
    `getStatusQuery()`

### getSourceAssociationQuery

    org.eclipse.emf.common.util.EList getSourceAssociationQuery()

  Returns the value of the 'Source Association Query' containment reference list. The list contents are of type `AssociationQueryType`.

  If the meaning of the 'Source Association Query' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Association Query' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_SourceAssociationQuery()`

### getTargetAssociationQuery

    org.eclipse.emf.common.util.EList getTargetAssociationQuery()

  Returns the value of the 'Target Association Query' containment reference list. The list contents are of type `AssociationQueryType`.

  If the meaning of the 'Target Association Query' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Association Query' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_TargetAssociationQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD